Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class SerializedGenericMultiValueMap<T>

    java.lang.Object
      org.apache.commons.collections.map.AbstractMapDecorator
          org.apache.commons.collections.map.MultiValueMap
              org.makumba.commons.SerializedGenericMultiValueMap<T>

All Implemented Interfaces:
  Serializable, Map, org.apache.commons.collections.MultiMap

    public class SerializedGenericMultiValueMap<T>

extends org.apache.commons.collections.map.MultiValueMap
implements Serializable

This class provides a serialized version of `MultiValueMap`, and adds generics support.

Version:
  $Id: SerializedGenericMultiValueMap.java 3699 2009-02-11 01:10:22Z rosso_nero $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Constructor Summary
`SerializedGenericMultiValueMap()`

Method Summary
`Collection<T>` | `get(Object key)`
`Collection<T>` | `values()`

Methods inherited from class org.apache.commons.collections.map.MultiValueMap
`clear, containsValue, containsValue, createCollection, decorate, decorate, decorate, getCollection, iterator, put, putAll, putAll, remove, size, totalSize`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, entrySet, equals, getMap, hashCode, isEmpty, keySet, remove, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, remove, size`

Constructor Detail

### SerializedGenericMultiValueMap

    public SerializedGenericMultiValueMap()

Method Detail

### values

    public Collection<T> values()

  Specified by:
    `values` in interface `Map`
  Overrides:
    `values` in class `org.apache.commons.collections.map.MultiValueMap`

### get

    public Collection<T> get(Object key)

  Specified by:
    `get` in interface `Map`
  Overrides:
    `get` in class `org.apache.commons.collections.map.AbstractMapDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20